<?php

	// 設定項目
	$params = array(
		'api_key' => '' ,		// APIキー
		'api_secret' => '' ,		// APIシークレット
		'url' => get_current_dir() . 'women.jpg' ,		// 画像のURLアドレス
		'attribute' => 'glass,pose,gender,age,race,smiling' ,		// 取得要素
	) ;

	// リクエストURL
	$request_url = 'https://apius.faceplusplus.com/v2/detection/detect' . '?' . http_build_query( $params ) ;

	//cURLを使ってリクエスト
	$curl = curl_init() ;
	curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;
	curl_setopt( $curl , CURLOPT_TIMEOUT , 15 ) ;
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;
	curl_close( $curl ) ;

	// 取得したデータを整理
	$json = substr( $res1, $res2['header_size'] ) ;
	$header = substr( $res1, 0, $res2['header_size'] ) ;		// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// HTML用
	$html = '' ;

	// リクエストしたデータ
	$html .= '<h2>リクエストした画像</h2>' ;
	$html .= '<p><img class="_img" src="' . $params['url'] . '"></p>' ;

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>リクエストの結果、下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

	// 現在のディレクトリを[http]から取得する関数
	function get_current_dir()
	{
		$ary = explode( '/' , $_SERVER['REQUEST_URI'] ) ;
		$filename = $ary[ ( count( $ary ) - 1 ) ] ;
		return str_replace( $filename , '' , ( !isset($_SERVER['HTTPS']) || empty($_SERVER['HTTPS']) ? 'http://' : 'https://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] ) ;
	}

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Face++のAPIでリクエストをするサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/how-to-use-faceplusplus-api

	* 動作確認
	https://syncer.jp/how-to-use-faceplusplus-api/demo/detect-request.php

	* 最終更新日時
	2015/08/03 03:36

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/how-to-use-faceplusplus-api">配布元: Syncer</a></p>






</body>
</html>
